### Method

# Pango AttrList get_attributes

since: 1.44

#### Declaration [src]

    GSList*
    pango_attr_list_get_attributes (
      PangoAttrList* list
    )

#### Description [src]

Gets a list of all attributes in `list`.

Available since: 1.44

#### Return value

Type: A list of `PangoAttribute*`

a list of all attributes in `list`. To free this value, call `pango_attribute_destroy()` on each value and `g_slist_free()` on the list.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.